| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsTableCursorRecSrc Class Reference

Implements the NetricsTableRecSrc interface by binding a NetricsTableCursor to a particular ibi™ Patterns - Search host. More...

## Public Member Functions
| NetricsTableCursorRecSrc (NetricsTableCursor cursor, NetricsServerInterface host)
| Create a NetricsTableCursorRecSrc instance.
override bool | hasNext ()
| Returns true if the source has more records.
override NetricsRecord | getNext ()
| Returns the next record.
override void | reset ()
| Resets the underlying cursor to the beginning.
String | getPosition ()
| Obtains the current position of the underlying cursor.
void | setPosition (String position)
| Reposition the underlying cursor.
abstract NetricsRecord | getNext ()
| Returns the next record.
abstract bool | hasNext ()
| Returns true if the source has more records.
abstract void | reset ()
| Reset the source to the first record.
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

Implements the NetricsTableRecSrc interface by binding a NetricsTableCursor to a particular ibi™ Patterns - Search host.

## Constructor & Destructor Documentation

## ◆ NetricsTableCursorRecSrc()

NetricsServerInterface.NetricsTableCursorRecSrc.NetricsTableCursorRecSrc | ( | NetricsTableCursor | cursor,
|  | NetricsServerInterface | host
| ) |  |
| inline

Create a NetricsTableCursorRecSrc instance.

Parameters

  cursor | Cursor underlying the record source.
  host | The cursor will traverse table(s) on this host.

## Member Function Documentation

## ◆ getNext()

override NetricsRecord NetricsServerInterface.NetricsTableCursorRecSrc.getNext | ( |  | ) |
| inline virtual

Returns the next record.

Exceptions

  NetricsRecSrcException | Thrown if an error occurs, or if there are no more records.

Returns
  The next record.

Implements NetricsServerInterface.NetricsTableRecSrc.

## ◆ getPosition()

String NetricsServerInterface.NetricsTableCursorRecSrc.getPosition | ( |  | ) |
| inline

Obtains the current position of the underlying cursor.

This position may be used to later set the cursor position using setPosition(String).

Returns
  The current position of the underlying cursor.

## ◆ hasNext()

override bool NetricsServerInterface.NetricsTableCursorRecSrc.hasNext | ( |  | ) |
| inline virtual

Returns true if the source has more records.

Exceptions

  NetricsRecSrcException | Thrown if there is an error getting records from the underlying cursor.

Returns
  True if there is another record, false otherwise.

Implements NetricsServerInterface.NetricsTableRecSrc.

## ◆ setPosition()

void NetricsServerInterface.NetricsTableCursorRecSrc.setPosition | ( | String | position | ) |
| inline

Reposition the underlying cursor.

Parameters

  position | A cursor position. This should be a value returned by getPosition()